> For the complete documentation index, see [llms.txt](https://docs.wisej.com/hybrid/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/hybrid/start/api/hardware/wisej.hybrid.shared.battery.batterystate.md).

# BatteryState

Namespace: **Wisej.Hybrid.Shared.Battery**

Assembly: **Wisej.Hybrid** (3.5.0.0)

Describes possible states of the battery.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum BatteryState : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum BatteryState As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name            | Description                                                        |
| --------------- | ------------------------------------------------------------------ |
| **Charging**    | Battery is actively being charged by a power source.               |
| **Discharging** | Battery is not plugged in and discharging.                         |
| **Full**        | Battery is full.                                                   |
| **NotCharging** | Battery is not charging or discharging, but in an inbetween state. |
| **NotPresent**  | Battery does not exist on the device.                              |
| **Unknown**     | Battery state could not be determined.                             |

## Used By

| Name                                                                                          | Description                                                                  |
| --------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- |
| [DeviceBatteryInfo.State](/hybrid/start/api/hardware/wisej.hybrid.devicebatteryinfo.md#state) | Gets the current state of the battery, indicating if it is charging or full. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/hybrid/start/api/hardware/wisej.hybrid.shared.battery.batterystate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
